<html>
<head>
<title>Ogre::EmitterCommands::CmdDuration Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="namespaceOgre_1_1EmitterCommands.html">EmitterCommands</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDuration.html">CmdDuration</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::EmitterCommands::CmdDuration Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::EmitterCommands::CmdDuration" --><!-- doxytag: inherits="Ogre::ParamCommand" -->
<p>Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  
 <a href="classOgre_1_1EmitterCommands_1_1CmdDuration.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreParticleEmitterCommands_8h_source.html">OgreParticleEmitterCommands.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::EmitterCommands::CmdDuration:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1EmitterCommands_1_1CmdDuration__inherit__graph.gif" border="0" usemap="#Ogre_1_1EmitterCommands_1_1CmdDuration_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1EmitterCommands_1_1CmdDuration_inherit__map" id="Ogre_1_1EmitterCommands_1_1CmdDuration_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters." alt="" coords="53,5,208,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1EmitterCommands_1_1CmdDuration-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDuration.html#a5a628c12e409fff3701deb9395a766f7">doGet</a> (const void *target) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDuration.html#a1e94d5a0af5739b057b7e6728db6b8f5">doSet</a> (void *target, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>. </p>

<p>Definition at line <a class="el" href="OgreParticleEmitterCommands_8h_source.html#l00147">147</a> of file <a class="el" href="OgreParticleEmitterCommands_8h_source.html">OgreParticleEmitterCommands.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a5a628c12e409fff3701deb9395a766f7"></a><!-- doxytag: member="Ogre::EmitterCommands::CmdDuration::doGet" ref="a5a628c12e409fff3701deb9395a766f7" args="(const void *target) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDuration.html#a5a628c12e409fff3701deb9395a766f7">Ogre::EmitterCommands::CmdDuration::doGet</a> </td>
          <td>(</td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implements <a class="el" href="classOgre_1_1ParamCommand.html#ae47ea550693403baebbcde11c59e074f">Ogre::ParamCommand</a>.</p>

</div>
</div>
<a class="anchor" id="a1e94d5a0af5739b057b7e6728db6b8f5"></a><!-- doxytag: member="Ogre::EmitterCommands::CmdDuration::doSet" ref="a1e94d5a0af5739b057b7e6728db6b8f5" args="(void *target, const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDuration.html#a1e94d5a0af5739b057b7e6728db6b8f5">Ogre::EmitterCommands::CmdDuration::doSet</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implements <a class="el" href="classOgre_1_1ParamCommand.html#ad69d7e3ca3959f0ab2e84137f621ca6a">Ogre::ParamCommand</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreParticleEmitterCommands_8h_source.html">OgreParticleEmitterCommands.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:31
</p>
</body>
</html>
